// Dachshund
// Copyright (C) 2000 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef GTK_MESSAGE_BOX_H
#define GTK_MESSAGE_BOX_H

#include "toolkit/message_box.h"
#include "widget.h"

namespace GTK {

    class MessageBox : public Toolkit::MessageBox, public Widget {
    public:
	MessageBox(const string & message,
		   Toolkit::MessageBoxKind kind,
		   Toolkit::Widget * parent = 0);
	~MessageBox();

	Toolkit::ResponseKind go();

    private:
    };

} // namespace GTK

#endif // GTK_MESSAGE_BOX_H
