// Dachshund
// Copyright (C) 2001 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef MOF_AGGREGATION_KIND_H
#define MOF_AGGREGATION_KIND_H

#include "reflective/enum.h"

#include <string>
using namespace std;

namespace MOF {

    class AggregationKind : public REF::Enum {
    public:
	AggregationKind();
	~AggregationKind();

	const string & ref_get_type() const;

	const string * get_values() const;
	int get_size() const;

    protected:

    private:
	static const string TYPE;
	static const string TABLE[];
	static const int SIZE;
    };

} // namespace MOF

#endif // MOF_AGGREGATION_KIND_H
