// Dachshund
// Copyright (C) 2000 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef TOOLKIT_MESSAGE_BOX_H
#define TOOLKIT_MESSAGE_BOX_H

#include "widget.h"

#include "response_kind.h"
#include "message_box_kind.h"

#include <string>
using namespace std;

namespace Toolkit {

    class MessageBox : public virtual Widget {
    public:
	MessageBox();
	~MessageBox();

	virtual ResponseKind go() = 0;

    private:
    };

} // namespace Toolkit

#endif // TOOLKIT_MESSAGE_BOX_H
