// Dachshund
// Copyright (C) 2000 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef DOCUMENT_CONTROLLER_H
#define DOCUMENT_CONTROLLER_H

#include "foundation/object.h"
#include "toolkit/document.h"

// only needed for PyObject
#include <Python.h>

namespace REF {
  class Context;
}


class DocumentController : public Object {
  
public:
  explicit DocumentController(const char * package, Toolkit::Document * tree);
  ~DocumentController();

  void set_context(REF::Context * uml);

protected:
private:
  PyObject * mObject;
};

#endif // DOCUMENT_CONTROLLER_H
