#ifndef DRAWING_ARROWS_H
#define DRAWING_ARROWS_H

namespace Drawing {

    class Drawable;
    class Point;

    // FIXME
    // maybe arrows should be handled by the drawable implementation class, then
    // nicer arrows can be drawn by the postscript drawable, etc.
    //
    // we could move these functions into the drawable base class as virtual methods
    // that can optionally be overridden

    void draw_arrow(Drawable * drawable, const Point & p1, const Point & p2, int size,
		    bool filled = false, bool back = false);
    void draw_diamond(Drawable * drawable, const Point & p1, const Point & p2, int size,
		    bool filled = false);

} // namespace Drawing

#endif // DRAWING_ARROWS_H
