// Dachshund,
// Copyright (C) 2001 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif // HAVE_CONFIG_H

#include "foundation/macros.h"

#include "xml/sax_parser.h"
#include "xml/sax_builder.h"

#include <iostream>
using namespace std;

#ifdef DEBUG
int trace_level = 0;
#endif

int
main(int argc, char * argv[]) {
    XML::SAXBuilder * handler = new XML::SAXBuilder();
    XML::SAXParser * parser = new XML::SAXParser(handler);

    parser->parse(cin);

    //ASSERT(!parser->mStack2.empty());
    ASSERT(parser->top().size() == 1);

    Object * root = parser->top().back();

    parser->unref();
    //handler->unref();		//

    return 0;
}
