// Dachshund					-*- C++ -*-
// Copyright (C) 2001 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef GTK_TAG_H
#define GTK_TAG_H

#include "toolkit/tag.h"

#include <gtk/gtktextview.h>

namespace GTK {

    class Tag : public Toolkit::Tag {
    public:
        Tag(Toolkit::Document * document, const char * name);
        ~Tag();

        // Toolkit::Tag interface
        bool set_attribute(const char * name, const char * value);


        // GTK specific methods
        GtkTextTag * get_gtktag() { return mGtkTag; }

    protected:


    private:
        GtkTextTag * mGtkTag;
    };

} // namespace GTK

#endif // GTK_TAG_H
